<?php

namespace app\admin\service\order;

use app\model\Appointment;

class AppointmentService
{
    public static function select($page, $pageSize, $keywords)
    {
        $rows = Appointment::with([
            'member' => function ($query) {
                $query->select('member_id', 'member_mobile');
            },
            'goods' => function ($query) {
                $query->select('goods_id', 'goods_name', 'goods_cover', 'goods_market_price', 'goods_sales_price');
            },
            'order',
            'benefit'
        ])->orderBy('appointment_addtimes', 'DESC')
            ->forPage($page, $pageSize)
            ->get()
            ->toArray();
        $total = Appointment::count();

        foreach ($rows as &$row) {
            $row['goods']['goods_cover'] = getenv('STORAGE_DOMAIN') . $row['goods']['goods_cover'];
        }

        return json_success('', compact('rows', 'page', 'pageSize', 'total'));
    }
}